/* Button menu */

.sap-sp-menu {
   display: flex;
   justify-content: center;
   gap: 1rem;
   padding: 2em 0.5em;
}
@media (min-width: 1024px) {
   .sap-sp-menu {
      gap: 1.5rem;
      padding: 5em 0;
   }
}

.sap-sp-menu__item.env-button--large.env-button--ghost {
   border-width: 2px;
}
.sap-sp-menu__item:hover {
   background-color: var(--env-element-secondary-background-color);
   border-color: var(--env-element-secondary-background-color);
}
.sap-sp-menu__item:hover .env-icon {
   filter: invert(1) grayscale(1) brightness(200%);
}
.sap-sp-menu__item.env-button--large.env-button--icon-before .env-icon {
   width: 1.75em;
   height: 1.75em;
}

@media(max-width: 600px) {
   .sap-sp-menu__item.env-button--icon-before {
      padding: 0 0.5em;
      padding-top: 2.5em;
      padding-bottom: 0.75em;
     
      font-size: var(--env-font-size-medium);
      line-height: 0.5;
   }
   .sap-sp-menu__item.env-button--icon-before .env-icon {
      left: 50%;
      transform: translateX(-50%);
      top: 1.25em;
   }
}

@media(min-width: 601px) {
   .sap-sp-menu__item.env-button--large.env-button--icon-before .env-icon {
      left: 0.75em;
      top: unset;
      margin: unset;
   }
   .sap-sp-menu__item.env-button--icon-before {
      display: inline-flex;
      align-items: center;
      height: 3.5em;
   }
}